Retrieve a customer
curl --request GET \
--url https://api.talescria.com/v1/customers/{customerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/customers/{customerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"customer": {
"id": "cus_6f1c0d2e9a7b4c55b0d1e2f3a4b5c6d7",
"name": "<string>",
"email": "<string>",
"additionalEmails": [
"<string>"
],
"createdAt": 123,
"updatedAt": 123,
"phone": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"country": "<string>",
"line2": "<string>",
"stateOrProvince": "<string>",
"postalCode": "<string>"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Customers
Retrieve a customer
One customer.
Requires the customers:read scope.
GET
/
v1
/
customers
/
{customerId}
Retrieve a customer
curl --request GET \
--url https://api.talescria.com/v1/customers/{customerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/customers/{customerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"customer": {
"id": "cus_6f1c0d2e9a7b4c55b0d1e2f3a4b5c6d7",
"name": "<string>",
"email": "<string>",
"additionalEmails": [
"<string>"
],
"createdAt": 123,
"updatedAt": 123,
"phone": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"country": "<string>",
"line2": "<string>",
"stateOrProvince": "<string>",
"postalCode": "<string>"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}